<?php
function weston_js() { ?>

	<script type="text/javascript">
	jQuery(document).ready(function($){
		"use strict";
	    
		/* PrettyPhoto Options */
		var lightboxArgs = {			
			overlay_gallery: false,
			autoplay_slideshow: false,
			show_title: false,
			deeplinking: false,
			allow_resize: true,
			allow_expand: false,
			counter_separator_label: '/',
			default_width: 1160,
			default_height: 653
		};
			
		/* General Lightbox */
		$('a[class^="prettyPhoto"], a[rel^="prettyPhoto"], .prettyPhoto').prettyPhoto(lightboxArgs);

		/* WooCommerce Lightbox */
		$("a[data-rel^='prettyPhoto']").prettyPhoto({
			hook: 'data-rel',
			social_tools: false,
			deeplinking: false,
			overlay_gallery: false,
			allow_expand: false, /* Allow the user to expand a resized image. true/false */
			show_title: false
		});

		/* Lightbox for Smartphones OFF */
		var windowWidth = window.screen.width < window.outerWidth ? window.screen.width : window.outerWidth;
	    var mobile = windowWidth < 500;
	    
	    if(mobile){
	        $('a[href$=jpg], a[href$=JPG], a[href$=jpeg], a[href$=JPEG], a[href$=png], a[href$=gif], a[href$=bmp]:has(img), a[class^="prettyPhoto"]').unbind('click.prettyphoto');
	    }
	    <?php } ?>

	});
	</script>
	
<?php 
}
add_action( 'wp_footer', 'weston_js', 100 );
?>