<?php
/**
 * @package weston
 */
$featured_image = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
global $recent_posts_config;
?>

<?php if($recent_posts_config['layout'] == "modern"){  ?>
	
	<article <?php post_class('small wpb_animate_when_almost_visible wpb_bottom-to-top'); ?>>
		<span class="inside">
		<span class="meta category"></span>
		<h3><a class="" href="<?php the_permalink() ?>" rel="bookmark" ><?php the_title(); ?></a></h3>
		<span class="meta date">
			<?php echo esc_attr( get_the_date() ); ?>	
		</span>
		<?php if($recent_posts_config['show_excerpt'] == "yes"){ 
			the_excerpt();
		 } ?>
		</span>
		</a>
		<span class="hover-overlay" style="background-color: <?php echo $recent_posts_config['hover_color']; ?>"></span>
		<span class="overlay" style="background-image: url( '<?php echo $featured_image; ?>' );"></span>
		
	</article>
	
<?php }else{ ?>
	
	<article <?php post_class('small'); ?>>
		<div class="inside">
		<?php if(has_post_thumbnail()) : ?>			
			<a href="<?php the_permalink() ?>" rel="bookmark" class="post-thumb"><?php the_post_thumbnail('weston_thumb_landscape', array('class' => '', 'alt' => ''.get_the_title().'', 'title' => ''.get_the_title().'')); ?></a>
		<?php endif; ?>

		<div class="content">
			<h3><a href="<?php the_permalink(); ?>" rel="bookmark" alt="<?php the_title_attribute(); ?>"><?php the_title_attribute(); ?></a></h3>
			<span class="meta">
				<?php echo esc_attr( get_the_date() ); ?>
			</span>
			<?php if($recent_posts_config['show_excerpt'] == "yes"){ 
				the_excerpt(); ?>
				<a class="more-link" href="<?php the_permalink(); ?>" rel="bookmark" alt="<?php the_title_attribute(); ?>"><?php _e( "Read More", 'weston' ); ?></a>
			 <?php } ?>
		</div>
		</div>
	</article>
	
<?php } ?>